summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndy Wingo <wingo@pobox.com>2008-10-03 15:06:03 +0200
committerAndy Wingo <wingo@pobox.com>2008-10-03 15:06:03 +0200
commit64da3c12459038d9147ee60cf96009f20972e7f3 (patch)
treed28d6e8bb109f3ea65b8397d9664fe0b3bf9f28c
parent9a8cc8e7f736bda93706dc74e6ab8f07621dd341 (diff)
downloadguile-64da3c12459038d9147ee60cf96009f20972e7f3.tar.gz
add gdb-pre-inst-guile
* configure.in: * gdb-pre-inst-guile.in: Add gdb-pre-inst-guile, because I'm tired of typos. You can run it just like Guile. For compiling, you might try GUILE=./gdb-pre-inst-guile scripts/compile foo.scm.
-rw-r--r--configure.in1
-rw-r--r--gdb-pre-inst-guile.in51
2 files changed, 52 insertions, 0 deletions
diff --git a/configure.in b/configure.in
index 6354e9e99..8664ceb78 100644
--- a/configure.in
+++ b/configure.in
@@ -1571,6 +1571,7 @@ AC_CONFIG_FILES([benchmark-guile], [chmod +x benchmark-guile])
AC_CONFIG_FILES([guile-tools], [chmod +x guile-tools])
AC_CONFIG_FILES([pre-inst-guile], [chmod +x pre-inst-guile])
AC_CONFIG_FILES([pre-inst-guile-env], [chmod +x pre-inst-guile-env])
+AC_CONFIG_FILES([gdb-pre-inst-guile], [chmod +x gdb-pre-inst-guile])
AC_CONFIG_FILES([libguile/guile-snarf],
[chmod +x libguile/guile-snarf])
AC_CONFIG_FILES([libguile/guile-doc-snarf],
diff --git a/gdb-pre-inst-guile.in b/gdb-pre-inst-guile.in
new file mode 100644
index 000000000..b419ec44a
--- /dev/null
+++ b/gdb-pre-inst-guile.in
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Copyright (C) 2002, 2006, 2008 Free Software Foundation
+#
+# This file is part of GUILE.
+#
+# GUILE is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2, or
+# (at your option) any later version.
+#
+# GUILE is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with GUILE; see the file COPYING. If not, write
+# to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
+# Floor, Boston, MA 02110-1301 USA
+
+# Commentary:
+
+# Usage: pre-inst-guile [ARGS]
+#
+# This script arranges for the environment to support, and eventaully execs,
+# the uninstalled binary guile executable located somewhere under libguile/,
+# passing ARGS to it. In the process, env var GUILE is clobbered, and the
+# following env vars are modified (but not clobbered):
+# GUILE_LOAD_PATH
+# LTDL_LIBRARY_PATH
+#
+# This script can be used as a drop-in replacement for $bindir/guile;
+# if there is a discrepency in behavior, that's a bug.
+
+# Code:
+
+# env (set by configure)
+top_builddir="@top_builddir_absolute@"
+
+# set GUILE (clobber)
+GUILE=${top_builddir}/libguile/.libs/lt-guile
+export GUILE
+
+# do it
+exec ${top_builddir}/pre-inst-guile-env gdb --args $GUILE "$@"
+
+# never reached
+exit 1
+
+# pre-inst-guile ends here